package com.vernaio.example;

import org.apache.commons.cli.CommandLine;
import org.apache.commons.cli.DefaultParser;
import org.apache.commons.cli.HelpFormatter;
import org.apache.commons.cli.Options;
import org.apache.commons.cli.ParseException;

public class FolderConfig {
	
	private String inputFolder;
	
	private String outputFolder;
	
	public FolderConfig(final String inputFolder, final String outputFolder) {
		this.inputFolder = inputFolder;
		this.outputFolder = outputFolder;
	}
	
	public String getInputFolder() {
		return this.inputFolder;
	}
	
	public String getOutputFolder() {
		return this.outputFolder;
	}
	
	public static FolderConfig fromArgs(final String[] args) {
		final Options options = new Options();
		options.addRequiredOption("i", "input", true, "Path to input folder");
		options.addRequiredOption("o", "output", true, "Path to output folder");		
		try {
			final CommandLine cmd = new DefaultParser().parse(options, args);
			return new FolderConfig(cmd.getOptionValue("i", ""), cmd.getOptionValue("o", ""));
	  } catch (ParseException e) {
	  	new HelpFormatter().printHelp("java-example", options);
	    throw new RuntimeException(e);
	  }
	}
}
